Debian Bug report logs - #653221
Does not find files after media_dir configuration change

version graph

Package: minidlna; Maintainer for minidlna is Benoît Knecht <benoit.knecht@fsfe.org>; Source for minidlna is src:minidlna.

Reported by: Jurij Smakov <jurij@wooyd.org>

Date: Sun, 25 Dec 2011 13:51:01 UTC

Severity: minor

Found in versions minidlna/1.0.21+dfsg-1, minidlna/1.0.21+dfsg-1.1

Fixed in version minidlna/1.0.23+dfsg-1

Done: Alexander GQ Gerasiov <gq@cs.msu.su>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#653221; Package minidlna. (Sun, 25 Dec 2011 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
New Bug report received and forwarded. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Sun, 25 Dec 2011 13:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: submit@bugs.debian.org
Subject: Does not find files after media_dir configuration change
Date: Sun, 25 Dec 2011 13:47:23 +0000
Package: minidlna
Version: 1.0.21+dfsg-1+b1
Severity: important

Hello,

Here's the behavior I saw when I installed minidlna recently:

1. I install minidlna, it starts the daemon with default setting of 
media_dir=/opt, which is empty.

2. I modify /etc/minidlna.conf to point to the correct directory 
(media_dir=A,/home/jurij/Music, for example) and restart minidlna with 
/etc/init.d/minidlna restart.

3. The remote client still does not see any files.

4. I remove /var/lib/minidlna/files.db and restart minidlna again.

5. minidlna rescans the directories on startup and recreates files.db, 
all files are now visible to the remote client.

I think that there is some bad handling of configuration file changes, 
I'd say that minidlna should always do a rescan on media_dir change. 

Most of new users are likely to hit this problem (unless they keep 
their files in /opt), and figuring out that you have to delete the 
files.db file to fix the problem may be non-trivial.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#653221; Package minidlna. (Tue, 14 Feb 2012 02:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Mohr <bugs@da.mcbf.net>:
Extra info received and forwarded to list. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Tue, 14 Feb 2012 02:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 653221@bugs.debian.org (full text, mbox):

From: David Mohr <bugs@da.mcbf.net>
To: Debian Bug Tracking System <653221@bugs.debian.org>
Subject: Re: Does not find files after media_dir configuration change
Date: Mon, 13 Feb 2012 19:06:32 -0700
Package: minidlna
Version: 1.0.21+dfsg-1.1
Followup-For: Bug #653221

I also encountered this bug. At the very least, this should be mentioned
in a README.Debian.

I propose the following: Cache the values of media_dir in the init
script so that on start-up -R can be run automatically when media_dir
changes.

To anyone reading this bug report, doing a force-restart on the init
script will cause minidlna to rebuild the database and recognize new
media_dir entries.

Sincerely,
David Mohr


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages minidlna depends on:
ii  adduser        3.113+nmu1
ii  gawk           1:3.1.8+dfsg-0.1
ii  libavformat53  5:0.10-0.0
ii  libavutil51    5:0.10-0.0
ii  libc6          2.13-26
ii  libexif12      0.6.20-2
ii  libflac8       1.2.1-6
ii  libid3tag0     0.15.1b-10
ii  libjpeg8       8d-1
ii  libogg0        1.2.2~dfsg-1
ii  libsqlite3-0   3.7.9-3
ii  libvorbis0a    1.3.2-1.1
ii  mawk           1.3.3-16

minidlna recommends no packages.

minidlna suggests no packages.

-- Configuration Files:
/etc/minidlna.conf changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653221; Package minidlna. (Tue, 14 Feb 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. (Tue, 14 Feb 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 653221@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: David Mohr <bugs@da.mcbf.net>, 653221@bugs.debian.org
Cc: Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#653221: Does not find files after media_dir configuration change
Date: Tue, 14 Feb 2012 16:40:30 +0100
Hi David,

David Mohr wrote:
> I also encountered this bug. At the very least, this should be mentioned
> in a README.Debian.

This behavior is documented in minidlna.conf(5).

> I propose the following: Cache the values of media_dir in the init
> script so that on start-up -R can be run automatically when media_dir
> changes.

Doesn't sound like a good fix to me, people who run minidlna manually
will get a different behavior, which I think is bad. This issue has been
reported here and upstream before (see #626835), but upstream marked it
as invalid and I don't think it's worth patching for Debian.

> To anyone reading this bug report, doing a force-restart on the init
> script will cause minidlna to rebuild the database and recognize new
> media_dir entries.

It's actually 'force-reload'; you can also run 'minidlna -R' directly,
or remove the database file by hand.

Unless you have suggestions on improving the documentation, I will close
this bug and merge it with #626835.

Cheers,

-- 
Benoît Knecht




Severity set to 'minor' from 'important' Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Tue, 14 Feb 2012 17:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#653221; Package minidlna. (Mon, 20 Feb 2012 04:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Mohr <bugs@da.mcbf.net>:
Extra info received and forwarded to list. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Mon, 20 Feb 2012 04:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 653221@bugs.debian.org (full text, mbox):

From: David Mohr <bugs@da.mcbf.net>
To: Benoît Knecht <benoit.knecht@fsfe.org>
Cc: 653221@bugs.debian.org
Subject: Re: Bug#653221: Does not find files after media_dir configuration change
Date: Sun, 19 Feb 2012 21:39:33 -0700
Hi Benoît

On Tue, 14 Feb 2012 16:40:30 +0100, Benoît Knecht wrote:
> Hi David,
>
> David Mohr wrote:
>> I also encountered this bug. At the very least, this should be
>> mentioned
>> in a README.Debian.
>
> This behavior is documented in minidlna.conf(5).

IMHO, and this may not be completely according to the manual,
README.Debian should make the users live easier. Sure it's in the man
page, but wouldn't it be worth the small effort to make it easily
accessible if that saves the average user some time?

>> I propose the following: Cache the values of media_dir in the init
>> script so that on start-up -R can be run automatically when
>> media_dir
>> changes.
>
> Doesn't sound like a good fix to me, people who run minidlna manually
> will get a different behavior, which I think is bad. This issue has
> been
> reported here and upstream before (see #626835), but upstream marked
> it
> as invalid and I don't think it's worth patching for Debian.

To me it'd be worth it to patch the init script, but you are right that
it'd be better to tackle upstream. If I only had some time...

> It's actually 'force-reload'; you can also run 'minidlna -R'
> directly,
> or remove the database file by hand.

Oops. Maybe that should go into a CC to the bug.

> Unless you have suggestions on improving the documentation, I will
> close
> this bug and merge it with #626835.

Well, you didn't seem to like my suggestion ;-). Hence the case made
above. Otherwise a merge is fine by me.

Thanks,
~David





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653221; Package minidlna. (Mon, 20 Feb 2012 08:57:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. (Mon, 20 Feb 2012 08:58:11 GMT) Full text and rfc822 format available.

Message #27 received at 653221@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: David Mohr <bugs@da.mcbf.net>
Cc: 653221@bugs.debian.org
Subject: Re: Bug#653221: Does not find files after media_dir configuration change
Date: Mon, 20 Feb 2012 09:53:35 +0100
tag 653221 pending
thanks

David Mohr wrote:
> On Tue, 14 Feb 2012 16:40:30 +0100, Benoît Knecht wrote:
> > David Mohr wrote:
> >> I also encountered this bug. At the very least, this should be
> >> mentioned
> >> in a README.Debian.
> >
> > This behavior is documented in minidlna.conf(5).
> 
> IMHO, and this may not be completely according to the manual,
> README.Debian should make the users live easier. Sure it's in the man
> page, but wouldn't it be worth the small effort to make it easily
> accessible if that saves the average user some time?

OK, so I've added a comment in the default minidlna.conf, warning users
that changing media_dir should be followed by a complete rebuild of the
database. Now they'd have to try pretty hard not to see this piece of
information...

Cheers,

-- 
Benoît Knecht




Added tag(s) pending. Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Mon, 20 Feb 2012 08:58:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Benoît Knecht <benoit.knecht@fsfe.org>:
Bug#653221; Package minidlna. (Mon, 20 Feb 2012 15:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Mohr <bugs@da.mcbf.net>:
Extra info received and forwarded to list. Copy sent to Benoît Knecht <benoit.knecht@fsfe.org>. (Mon, 20 Feb 2012 15:12:11 GMT) Full text and rfc822 format available.

Message #34 received at 653221@bugs.debian.org (full text, mbox):

From: David Mohr <bugs@da.mcbf.net>
To: Benoît Knecht <benoit.knecht@fsfe.org>
Cc: 653221@bugs.debian.org
Subject: Re: Bug#653221: Does not find files after media_dir configuration change
Date: Mon, 20 Feb 2012 08:08:58 -0700
On Mon, 2012-02-20 at 09:53 +0100, Benoît Knecht wrote:
> tag 653221 pending
> thanks
> 
> David Mohr wrote:
> > On Tue, 14 Feb 2012 16:40:30 +0100, Benoît Knecht wrote:
> > > David Mohr wrote:
> > >> I also encountered this bug. At the very least, this should be
> > >> mentioned
> > >> in a README.Debian.
> > >
> > > This behavior is documented in minidlna.conf(5).
> > 
> > IMHO, and this may not be completely according to the manual,
> > README.Debian should make the users live easier. Sure it's in the man
> > page, but wouldn't it be worth the small effort to make it easily
> > accessible if that saves the average user some time?
> 
> OK, so I've added a comment in the default minidlna.conf, warning users
> that changing media_dir should be followed by a complete rebuild of the
> database. Now they'd have to try pretty hard not to see this piece of
> information...

That sounds like an excellent solution. Thank you for you effort!

~David





Reply sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
You have taken responsibility. (Sat, 25 Feb 2012 09:36:04 GMT) Full text and rfc822 format available.

Notification sent to Jurij Smakov <jurij@wooyd.org>:
Bug acknowledged by developer. (Sat, 25 Feb 2012 09:36:06 GMT) Full text and rfc822 format available.

Message #39 received at 653221-close@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: 653221-close@bugs.debian.org
Subject: Bug#653221: fixed in minidlna 1.0.23+dfsg-1
Date: Sat, 25 Feb 2012 09:32:59 +0000
Source: minidlna
Source-Version: 1.0.23+dfsg-1

We believe that the bug you reported is fixed in the latest version of
minidlna, which is due to be installed in the Debian FTP archive:

minidlna_1.0.23+dfsg-1.debian.tar.gz
  to main/m/minidlna/minidlna_1.0.23+dfsg-1.debian.tar.gz
minidlna_1.0.23+dfsg-1.dsc
  to main/m/minidlna/minidlna_1.0.23+dfsg-1.dsc
minidlna_1.0.23+dfsg-1_i386.deb
  to main/m/minidlna/minidlna_1.0.23+dfsg-1_i386.deb
minidlna_1.0.23+dfsg.orig.tar.gz
  to main/m/minidlna/minidlna_1.0.23+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653221@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander GQ Gerasiov <gq@cs.msu.su> (supplier of updated minidlna package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 17 Feb 2012 16:18:19 +0100
Source: minidlna
Binary: minidlna
Architecture: source i386
Version: 1.0.23+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
Changed-By: Alexander GQ Gerasiov <gq@cs.msu.su>
Description: 
 minidlna   - lightweight DLNA/UPnP-AV server targeted at embedded systems
Closes: 653221 659871
Changes: 
 minidlna (1.0.23+dfsg-1) unstable; urgency=low
 .
   * New upstream version (Closes: #659871)
     - Enable the subtitle menu on some Samsung TV's
     - Add subtitle support for Panasonic TV's
     - Add workarounds for LifeTab tablets' bad behavior
     - Speed up playlist parsing
     - Make metadata-based virtual containers case insensitive
     - Add folder art support (very few clients support this though)
     - Improve trimming of quotation marks
     - Fix SRT caption support with the latest Samsung Series D firmware
     - Fix subtitles on LG TV's for items whose titles don't have a dot in
       them
     - Add support for the av:mediaClass tag, so some Sony devices can filter
       items by media type
     - Fix inotify detection issues on first-level folders
     - Work around LifeTab's broken DLNA support
     - Add image rotation support during resize (mostly useful for TiVo)
   * Add copyright information for new upstream files
   * Remove versioned dependency on adduser and lsb-base, as both are satisfied
     even in oldstable
   * Remove dependency on (gawk | mawk) as awk is depended on by an essential
     package (thanks to Jakub Wilk)
   * Output messages to stderr in postrm (thanks to Jakub Wilk)
   * Improve the default configuration file with more detailed comments, that
     should help avoid confusion about some options (Closes: #653221)
Checksums-Sha1: 
 9a10b26eabe84b6fc7245f684ec85f1fd8a7a2fc 1669 minidlna_1.0.23+dfsg-1.dsc
 86a0e811d0c02be310fbe8344d0435b995f10080 180948 minidlna_1.0.23+dfsg.orig.tar.gz
 66f610ca09c42fe69406c9daa0c09b1aa382bd37 27069 minidlna_1.0.23+dfsg-1.debian.tar.gz
 f9604ca3ffa54dc45e3d3f0d4a307b4c2b59cf2b 144708 minidlna_1.0.23+dfsg-1_i386.deb
Checksums-Sha256: 
 345bfe17e31e6cf6823d1a54851ee6e1fbb63457d9af89480b546762ea0a2a52 1669 minidlna_1.0.23+dfsg-1.dsc
 b9c04d55e2fd5d41f200e9611bfd04e26cfd1f167210845ffe1955ad7380e243 180948 minidlna_1.0.23+dfsg.orig.tar.gz
 4d5e4944635eaed8bc8412fc2e007bf7d15bfbdfac58f559f4a8605b57e49920 27069 minidlna_1.0.23+dfsg-1.debian.tar.gz
 3b13c5a2948e98724aedbd258fbe8c0abe009f9d35bce8eb2156c753d48424dd 144708 minidlna_1.0.23+dfsg-1_i386.deb
Files: 
 fd2d0557f3a391d2f0fbe4cc2a162dc1 1669 net optional minidlna_1.0.23+dfsg-1.dsc
 4947ba3c3a8286b82ffa1949377fb568 180948 net optional minidlna_1.0.23+dfsg.orig.tar.gz
 687a30605e44ff90885b51998f47807c 27069 net optional minidlna_1.0.23+dfsg-1.debian.tar.gz
 8239d2f0e481e88ce80fa1ef23390c2f 144708 net optional minidlna_1.0.23+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPSKhqAAoJEMqH6egqrDPxoUQIAIA9Pi4OzZXu8bwik0kyLOKX
fD8Gz0CCIr7DYEAuEKIBJJUf4TfdbARefa3NBEo8ugxfzR+PZJDGc2pzV0u6Kkuo
vTBADYx5EZpSnrCaGnkw5uASfE8ZiFpSUzgyGBwVoXkdG58Lx53Rn9sDwxn+r+/3
wVpPkQlCKmIy+G25oZIjA9cbqc38l3z/+233ub+aSVlZQjW+zWapGkl1dw1lWH2y
XSj3tmK3qrxP9Px8DBCEqg5El/7bDQ79Tlu5h/pJjq7iDcBaCq39d7NL/SkoZkvv
aKCKYlfAH9snbD+1ZTd+RcLRlXBzYZwHoFBG5hoP53IDVv3FvGrn+MWjer197ec=
=IJXU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Mar 2012 07:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:05:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.